(function($) {
	"use strict";
	jQuery(document).ready(function(){
		// SCROLL TO TOP
		jQuery(window).scroll(function(){
	   		if (jQuery(this).scrollTop()>100){
	   			jQuery(".scrollup").addClass("active");
	      	}else{
	        	jQuery(".scrollup").removeClass("active");
	    	}
	 	});
		jQuery(".scrollup").click(function(){
	   		jQuery("html, body").animate({scrollTop:0},600);
	  		return false;
		});
		// SIDEPANEL FORM
		jQuery(".sidepanel-form-trigger").click(function(){
			jQuery(".sidepanel-form").toggleClass("active");
		});
		jQuery(".sidepanel-form-close").click(function(){
			jQuery(".sidepanel-form").removeClass("active");
		});
		// MEGAMENU
		jQuery(".mega-menu-item-type-widget").addClass("matchHeight");
		// TABLE
		jQuery("table").addClass("table table-bordered");
		// TOOLTIP
		jQuery("[data-toggle='tooltip']").tooltip();
		// SIDR
		jQuery(".wraper_header_main.mobile-navigation-left .header_main .responsive-nav, .wraper_header_sticky.mobile-navigation-left .header_sticky .responsive-nav").sidr({
			side: 'left',
			displace: false,
			renaming: false,
			source: '.nav',
			name: 'main-menu-left',
			onOpen: function(){
				jQuery("body").addClass("main-menu-open");
			},
			onClose: function(){
				jQuery("body").removeClass("main-menu-open");
			},
		});
		jQuery(".overlay").click(function(){
			jQuery.sidr('close','main-menu-left');
		});
		jQuery(".wraper_header_main.mobile-navigation-right .header_main .responsive-nav, .wraper_header_sticky.mobile-navigation-right .header_sticky .responsive-nav").sidr({
			side: 'right',
			displace: false,
			renaming: false,
			source: '.nav',
			name: 'main-menu-right',
			onOpen: function(){
				jQuery("body").addClass("main-menu-open");
			},
			onClose: function(){
				jQuery("body").removeClass("main-menu-open");
			},
		});
		jQuery(".overlay").click(function(){
			jQuery.sidr('close','main-menu-right');
		});
		// MATCHHEIGHT
	    jQuery(".matchHeight").matchHeight();
	    // STICKY
		jQuery(".wraper_header_main.sticky-active").sticky({
			topSpacing: 0,
		});
	    // COUNTERUP
		jQuery(".counterUp").counterUp({
			delay: 10,
			time: 1000,
		});
	});
	jQuery(window).load(function(){
		// ISOTOPE
	    var $grid = jQuery(".isotope").isotope({
	        layoutMode: 'masonry',
	    });
	    jQuery(".advisors-sort.main-concept-one > button:first-child").addClass("current-menu-item");
	    jQuery(".advisors-sort.main-concept-one").on( 'click', 'button', function() {
	        jQuery(".advisors-sort.main-concept-one > button").removeClass("current-menu-item");
	        jQuery(this).attr("class","current-menu-item");
	        var filterValue = jQuery(this).attr("data-filter");
	        $grid.isotope({ filter: filterValue });
	    });
		setTimeout(function(){
			// MATCHHEIGHT
			jQuery(".matchHeight").matchHeight();
	    }, 2000);
	});
})(jQuery);